ru.bitel.bgbilling.modules.voice.api.common.service

## Interface VoiceSessionService

-     @MTOM
      public interface VoiceSessionService

  Сервис для доступа и работы с сессиями аккаунта модуля Voice.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `sessionFinish(long sessionId)` Принудительное завершение соединения.
    `Result<VoiceSession>` | `voiceSessionContractList(VoiceSessionFilter filter, Page page)` Получение отфильтрованного списка текущих сессий аккаунта
    `javax.activation.DataHandler` | `voiceSessionContractLogExport(VoiceSessionFilter filter, java.lang.String format, Page page)`
    `void` | `voiceSessionDetailEmail(VoiceSessionFilter filter, java.util.List<java.lang.String> emails)`
    `javax.activation.DataHandler` | `voiceSessionDetailExport(VoiceSessionFilter filter, java.lang.String format)`
    `Result<ru.bitel.bgbilling.modules.voice.api.common.bean.report.SessionDetail<ru.bitel.bgbilling.modules.voice.api.common.bean.report.SessionDetail<ru.bitel.bgbilling.modules.voice.api.common.bean.report.SessionDetailReportItem>>>` | `voiceSessionDetailReport(VoiceSessionFilter filter, Page page)`
    `void` | `voiceSessionEmail(VoiceSessionFilter filter, java.util.List<java.lang.String> emails, Page page)`
    `Result<VoiceSession>` | `voiceSessionList(VoiceSessionFilter filter, Page page)`
    `Result<VoiceSession>` | `voiceSessionLogContractList(VoiceSessionFilter filter, Page page)` Получение отфильтрованного списка заверешенных сессий аккаунта
    `Result<VoiceSession>` | `voiceSessionLogList(VoiceSessionFilter filter, Page page)`
    `java.util.List<ru.bitel.bgbilling.modules.voice.api.common.bean.report.SessionAccountReportItem>` | `voiceSessionReportGroupByAccount(VoiceSessionFilter filter)`
    `java.util.List<ru.bitel.bgbilling.modules.voice.api.common.bean.report.SessionDestinationReportItem>` | `voiceSessionReportGroupByAccountAndDestination(VoiceSessionFilter filter)`
    `java.util.List<ru.bitel.bgbilling.modules.voice.api.common.bean.report.SessionServiceReportItem>` | `voiceSessionReportGroupByAccountAndService(VoiceSessionFilter filter)`

- - ### Method Detail

    - #### voiceSessionContractList

          Result<VoiceSession> voiceSessionContractList(VoiceSessionFilter filter,
                                                        Page page)
                                                 throws ru.bitel.bgbilling.common.BGException

      Получение отфильтрованного списка текущих сессий аккаунта
      Parameters:
        `filter` - фильтр
        `page` - параметры страницы, которую нужно отобразить
      Returns:
        список сессий
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceSessionLogContractList

          Result<VoiceSession> voiceSessionLogContractList(VoiceSessionFilter filter,
                                                           Page page)
                                                    throws ru.bitel.bgbilling.common.BGException

      Получение отфильтрованного списка заверешенных сессий аккаунта
      Parameters:
        `filter` - фильтр
        `page` - параметры страницы, которую нужно отобразить
      Returns:
        список сессий
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceSessionLogList

          Result<VoiceSession> voiceSessionLogList(VoiceSessionFilter filter,
                                                   Page page)
                                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceSessionList

          Result<VoiceSession> voiceSessionList(VoiceSessionFilter filter,
                                                Page page)
                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### sessionFinish

          void sessionFinish(long sessionId)
                      throws ru.bitel.bgbilling.common.BGException

      Принудительное завершение соединения.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceSessionReportGroupByAccount

          java.util.List<ru.bitel.bgbilling.modules.voice.api.common.bean.report.SessionAccountReportItem> voiceSessionReportGroupByAccount(VoiceSessionFilter filter)
                                                                                                                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceSessionReportGroupByAccountAndDestination

          java.util.List<ru.bitel.bgbilling.modules.voice.api.common.bean.report.SessionDestinationReportItem> voiceSessionReportGroupByAccountAndDestination(VoiceSessionFilter filter)
                                                                                                                                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceSessionReportGroupByAccountAndService

          java.util.List<ru.bitel.bgbilling.modules.voice.api.common.bean.report.SessionServiceReportItem> voiceSessionReportGroupByAccountAndService(VoiceSessionFilter filter)
                                                                                                                                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceSessionContractLogExport

          javax.activation.DataHandler voiceSessionContractLogExport(VoiceSessionFilter filter,
                                                                     java.lang.String format,
                                                                     Page page)
                                                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceSessionDetailReport

          Result<ru.bitel.bgbilling.modules.voice.api.common.bean.report.SessionDetail<ru.bitel.bgbilling.modules.voice.api.common.bean.report.SessionDetail<ru.bitel.bgbilling.modules.voice.api.common.bean.report.SessionDetailReportItem>>> voiceSessionDetailReport(VoiceSessionFilter filter,
                                                                                                                                                                                                                                                                         Page page)
                                                                                                                                                                                                                                                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceSessionDetailExport

          javax.activation.DataHandler voiceSessionDetailExport(VoiceSessionFilter filter,
                                                                java.lang.String format)
                                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceSessionDetailEmail

          void voiceSessionDetailEmail(VoiceSessionFilter filter,
                                       java.util.List<java.lang.String> emails)
                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceSessionEmail

          void voiceSessionEmail(VoiceSessionFilter filter,
                                 java.util.List<java.lang.String> emails,
                                 Page page)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`